## glom 1.12.2-0maemo0

=== docs/website/Makefile ===
web_path_project = /home/murrayc/glom.org/
web_path_docs = $(web_path_project)
rsync_args = -vz --rsh ssh --delete --delete-after --recursive --cvs-exclude

#Don't upload index.html, because it breaks the now wiki-based website.
#But we link to these screenshots from the wiki.
html_docs = screenshots

post-html: 
	rsync $(rsync_args) -r $(html_docs) murrayc@murrayc.com:$(web_path_docs)

## glom 1.6.4

=== debian/changelog ===
glom (1.6.4) unstable; urgency=low

  * New upstream release and maemomm-launcher support

 -- Johannes Schmid <johannes.schmid@openismus.com>  Thu, 22 Nov 2007 19:30:52 +0100

glom (1.6.0-2) unstable; urgency=low

  * Build against correct version of libxslt 

 -- Johannes Schmid <johannes.schmid@openismus.com>  Tue, 20 Nov 2007 14:36:53 +0100

glom (1.6.0-1) unstable; urgency=low

  * Build with -fno-exceptions.

 -- Armin Burgmeier <armin@openismus.com>  Sun, 14 Oct 2007 22:39:35 +0200

glom (1.6.0) unstable; urgency=low

  * Initial release. There are no extra packets for libglom because there are
    plans to link libglom statically to optimize startup time and code size.

 -- Armin Burgmeier <armin@openismus.com>  Mon,  8 Oct 2007 14:34:52 +0200

=== debian/control ===
Source: glom
Section: gnome
Priority: optional
Maintainer: Armin Burgmeier <armin@openismus.com>
Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libbakery-2.4-dev, libgdamm3-dev, python2.5-gtk2-dev, python2.5-gda-dev, libgda3-postgres
Standards-Version: 3.6.1

Package: glom
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},  ${launcher:Depends}, python2.5-gtk2, python2.5-gda, libgda3-postgres, maemomm-booster, gtkmm-booster
Description: Glom database designer
 With Glom you can design database systems - the database and the user interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CXXFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0 -fno-exceptions
else
	# Note that we get this error:
	#   ./.libs/libglom.so: undefined reference to `std::numpunct<char>::_M_initialize_numpunct(int*)'
	# if we perform any optimization (all -Os, -O1, -O2 and -O3 are affected).
	# This can be reproduced with a simple test program and is most probably a compiler
	# (g++ 3.4 as per scratchbox 1.0.8) and/or standard library and/or scratchbox bug.
	CXXFLAGS += -O0 -fno-exceptions
	#CXXFLAGS += -O2 -fno-exceptions
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

LAUNCHER=yes

ifeq "$(strip $(LAUNCHER))" "yes"
        LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
        LAUNCHER_CFLAGS = -shared
        LAUNCHER_LDFLAGS = -shared -export-dynamic
endif

autogen:
	libtoolize --force --copy
	aclocal-1.9 -I scripts
	automake-1.9 --copy --add-missing
	autoconf2.50


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	# Don't use old python from scratchbox
	PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-warnings=minimum


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) \
          MAEMO_LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" \
	  MAEMO_LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub scripts/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess scripts/config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

ifeq "$(strip $(LAUNCHER))" "yes"
	mv $(CURDIR)/debian/tmp/usr/bin/glom \
		$(CURDIR)/debian/tmp/usr/bin/glom.launch
	ln -s /usr/bin/maemo-invoker \
		$(CURDIR)/debian/tmp/usr/bin/glom
endif
					

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs -XMakefile -XDoxyfile
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -Xdoxygen_tags
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## glom 1.6.4-1

=== debian/changelog ===
glom (1.6.4-1) unstable; urgency=low

  * Reupload because old package was broken

 -- Johannes Schmid <johannes.schmid@openismus.com>  Tue, 27 Nov 2007 19:05:50 +0100

## glom 1.6.5-0

=== debian/changelog ===
glom (1.6.5-0) unstable; urgency=low

  * Upgrade to latest upstream version, plus some changes from svn.
  * rules: Use the new --enable-doc-utils=no configure option, because 
  Maemo Chinook has no gnome-doc-utils.
  clean: Do not try to copy files into scripts/ because there is no scripts/ directory.

 -- Murray Cumming <murrayc@murrayc.com>  Sun,  2 Dec 2007 23:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Armin Burgmeier <armin@openismus.com>
-Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libbakery-2.4-dev, libgdamm3-dev, python2.5-gtk2-dev, python2.5-gda-dev, libgda3-postgres
+Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libbakery-2.4-dev, libgdamm3-dev, python2.5-gtk2-dev, python2.5-gda-dev, python2.5-dev, libgda3-postgres
 Standards-Version: 3.6.1
 
 Package: glom

=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,8 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	# Don't use old python from scratchbox
-	PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-warnings=minimum
+	# We set the PYTHON variable to use 2.5 instead of 2.3 (the default /usr/bin/python in Maemo Chinook):
+	PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-doc-utils=no --enable-warnings=minimum
 
 
 build: build-stamp
@@ -71,10 +71,10 @@
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub scripts/config.sub
+	cp -f /usr/share/misc/config.sub config.sub
 endif
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess scripts/config.guess
+	cp -f /usr/share/misc/config.guess config.guess
 endif

## glom 1.6.5-2

=== debian/changelog ===
glom (1.6.5-2) unstable; urgency=low

  * Use better maemo launcher integration

 -- Johannes Schmid <jhs@idefix.lan>  Mon, 03 Dec 2007 14:59:46 +0100

glom (1.6.5-1) unstable; urgency=low

  * Patch to fix maemo-launcher problem (now also upstream in svn)
  * control: Added some missing build dependencies

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon,  3 Dec 2007 11:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Armin Burgmeier <armin@openismus.com>
-Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libbakery-2.4-dev, libgdamm3-dev, python2.5-gtk2-dev, python2.5-gda-dev, python2.5-dev, libgda3-postgres
+Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libbakery-2.4-dev, libgdamm3-dev, python2.5-gtk2-dev, python2.5-gda-dev, python2.5-dev, libgda3-postgres, libgda3-dev, libxslt1-dev, maemo-launcher-dev (>= 0.23-1)
 Standards-Version: 3.6.1
 
 Package: glom

=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,8 @@
 	INSTALL_PROGRAM += -s
 endif
 
-LAUNCHER=yes
-
-ifeq "$(strip $(LAUNCHER))" "yes"
-        LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
-        LAUNCHER_CFLAGS = -shared
-        LAUNCHER_LDFLAGS = -shared -export-dynamic
+ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
+       conf_opt := --enable-maemo-launcher
 endif
 
 autogen:
@@ -49,7 +45,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	# We set the PYTHON variable to use 2.5 instead of 2.3 (the default /usr/bin/python in Maemo Chinook):
-	PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-doc-utils=no --enable-warnings=minimum
+	PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-doc-utils=no --enable-warnings=minimum $(conf_opt)
 
 
 build: build-stamp
@@ -88,13 +84,6 @@
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-
-ifeq "$(strip $(LAUNCHER))" "yes"
-	mv $(CURDIR)/debian/tmp/usr/bin/glom \
-		$(CURDIR)/debian/tmp/usr/bin/glom.launch
-	ln -s /usr/bin/maemo-invoker \
-		$(CURDIR)/debian/tmp/usr/bin/glom
-endif
 					
 
 # Build architecture-independent files here.
@@ -119,6 +108,7 @@
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
+	dh_maemolauncher
 	dh_link
 	dh_strip
 	dh_compress -Xdoxygen_tags

## glom 1.6.17-0

=== debian/changelog ===
glom (1.6.17-0) unstable; urgency=low

  * Upgraded to latest upstream version.

 -- Johannes Scmid <johannes.schmid@openismus.com>  Tue, 30 Sep 2008 12:20:17 +0200

glom (1.6.6-0) unstable; urgency=low

  * Upgraded to latest upstream version.

 -- Murray Cumming <murrayc@murrayc.com>  Fri, 14 Dec 2007 22:44:11 +0100

glom (1.6.5-3) unstable; urgency=low

  * Rebuild with -O2 optimization (changes in debian/rules) using the 
    workaround in 
    https://bugs.maemo.org/show_bug.cgi?id=2465

 -- Murray Cumming <murrayc@murrayc.com>  Fri, 14 Dec 2007 21:03:04 +0100

=== debian/control ===
Source: glom
Section: gnome
Priority: optional
Maintainer: Armin Burgmeier <armin@openismus.com>
Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libbakery-2.4-dev, libgdamm3.0-dev, python2.5-gtk2-dev, python2.5-gnome2-extras-dev, python2.5-dev, libgda3-postgres, libgda3-dev, libxslt1-dev, maemo-launcher-dev (>= 0.23-1)
Standards-Version: 3.6.1

Package: glom
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},  ${launcher:Depends}, python2.5-gtk2, python2.5-gnome2-extras, libgda3-postgres, maemomm-booster, gtkmm-booster
Description: Glom database designer
 With Glom you can design database systems - the database and the user interface.

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -O0 -fno-exceptions
 else
-	# Note that we get this error:
-	#   ./.libs/libglom.so: undefined reference to `std::numpunct<char>::_M_initialize_numpunct(int*)'
-	# if we perform any optimization (all -Os, -O1, -O2 and -O3 are affected).
-	# This can be reproduced with a simple test program and is most probably a compiler
-	# (g++ 3.4 as per scratchbox 1.0.8) and/or standard library and/or scratchbox bug.
-	CXXFLAGS += -O0 -fno-exceptions
-	#CXXFLAGS += -O2 -fno-exceptions
+	CXXFLAGS += -O2 -fno-exceptions
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -44,8 +38,17 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
+        #
+        # The SBOX_REDIRECT_IGNORE and CXX is to work around this bug:
+        # https://bugs.maemo.org/show_bug.cgi?id=2465
+        # which causes this error
+	#   ./.libs/libglom.so: undefined reference to `std::numpunct<char>::_M_initialize_numpunct(int*)'
+	# if we perform any optimization (-Os, -O1, -O2 and -O3 are affected).
+	# This can be reproduced with a simple test program and is a Maemo/Scratchbox compiler bug.
+        # NOTE: Actually this doesn't seem to work here, so I export the two variables before doing dpkg-buildpackage. murrayc.
+        #
 	# We set the PYTHON variable to use 2.5 instead of 2.3 (the default /usr/bin/python in Maemo Chinook):
-	PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-doc-utils=no --enable-warnings=minimum $(conf_opt)
+	SBOX_REDIRECT_IGNORE="/usr/bin/g++-3.4" CXX="/usr/bin/g++-3.4" PYTHON="/usr/bin/python2.5" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" --enable-maemo --enable-doc-utils=no --enable-warnings=minimum $(conf_opt)
 
 
 build: build-stamp

## glom 1.11.1maemo0

=== debian/changelog ===
glom (1.11.1maemo0) fremantle; urgency=low

  * New upstream version

 -- Johannes Scmid <johannes.schmid@openismus.com>  Wed, 26 Aug 2009 09:04:23 +0200

## glom 1.11.1maemo1

=== debian/changelog ===
glom (1.11.1maemo1) fremantle; urgency=low

  * Removed some maemo hacks that are now longer required

 -- Johannes Scmid <johannes.schmid@openismus.com>  Tue,  1 Sep 2009 10:03:10 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Define the build directory variable for each package,
# as required for multiple VPATH builds with CDBS.
$(foreach pkg,$(DEB_ARCH_PACKAGES),$(eval DEB_BUILDDIR_$(pkg) = build/$(pkg)))

CXXFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0 -fno-exceptions
else
	CXXFLAGS += -O2 -fno-exceptions
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

autogen:
	libtoolize --force --copy
	aclocal-1.10 -I scripts
	automake-1.10 --copy --add-missing
	autoconf2.50

DEB_CONFIGURE_EXTRA_FLAGS_glom-sqlite = --enable-sqlite --disable-postgresql

$(DEB_ARCH_PACKAGES:%=build/%/config.status):build/%/config.status:
	cd "build/$*" && "$(CURDIR)/configure" \
		--srcdir="$(CURDIR)" \
		--build="$(DEB_BUILD_GNU_TYPE)" $(subst \
		--host="$(DEB_BUILD_GNU_TYPE)",,--host="$(DEB_HOST_GNU_TYPE)") \
		--prefix=/usr --sysconfdir=/etc --localstatedir=/var \
		--libexecdir='$${libdir}/$(DEB_SOURCE_PACKAGE)' \
		--disable-dependency-tracking $(DEB_CONFIGURE_EXTRA_FLAGS_$*) \
		--enable-maemo --enable-doc-utils=no --enable-warnings=minimum $(conf_opt) \
		CC="$(CC)" CXX="$(CXX)" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(strip $(CFLAGS) $(CFLAGS_$*))" \
		CXXFLAGS="$(strip $(CXXFLAGS) $(CFLAGS_$*))" \
		LDFLAGS="$(LDFLAGS)" \
		PYTHON="/usr/bin/python2.5"

# Simply use the compiled executable as the rule target
# to avoid the need for a stamp file.
$(DEB_ARCH_PACKAGES:%=build/%/glom/glom):build/%/glom/glom:
	+$(MAKE) -C "build/$*"
 
# Append to the double-colon rule hooks provided by CDBS.
 
$(addprefix configure/,$(DEB_ARCH_PACKAGES))::configure/%: build/%/config.status
 
$(addprefix build/,$(DEB_ARCH_PACKAGES))::build/%: build/%/glom/glom
 
$(addprefix install/,$(DEB_ARCH_PACKAGES))::install/%:
	+$(MAKE) -C "build/$*" DESTDIR="$(CURDIR)/debian/$*" install
 
$(addprefix binary-install/,$(DEB_ARCH_PACKAGES))::binary-install/%:
	dh_desktop -p"$*" $(DEB_DH_DESKTOP_ARGS)
	#dh_icons -p"$*" $(DEB_DH_ICONS_ARGS)
 
# Cleanup is a no-brainer thanks to the VPATH setup.
cleanbuilddir::
	rm -rf buildbuild: build-stamp
	rm -rf build

## glom 1.11.1maemo2

=== debian/changelog ===
glom (1.11.1maemo2) fremantle; urgency=low

  * Fixed .install files

 -- Johannes Scmid <johannes.schmid@openismus.com>  Thu,  3 Sep 2009 13:44:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 CXXFLAGS = -Wall -g
 
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CXXFLAGS += -O0 -fno-exceptions
 else
@@ -38,7 +39,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS_glom-sqlite = --enable-sqlite --disable-postgresql
 
 $(DEB_ARCH_PACKAGES:%=build/%/config.status):build/%/config.status:
-	cd "build/$*" && "$(CURDIR)/configure" \
+	cd "build/$*" && PYTHON=python2.5 "$(CURDIR)/configure" \
 		--srcdir="$(CURDIR)" \
 		--build="$(DEB_BUILD_GNU_TYPE)" $(subst \
 		--host="$(DEB_BUILD_GNU_TYPE)",,--host="$(DEB_HOST_GNU_TYPE)") \
@@ -51,7 +52,6 @@
 		CFLAGS="$(strip $(CFLAGS) $(CFLAGS_$*))" \
 		CXXFLAGS="$(strip $(CXXFLAGS) $(CFLAGS_$*))" \
 		LDFLAGS="$(LDFLAGS)" \
-		PYTHON="/usr/bin/python2.5"
 
 # Simply use the compiled executable as the rule target
 # to avoid the need for a stamp file.

## glom 1.11.1maemo3

=== debian/changelog ===
glom (1.11.1maemo3) fremantle; urgency=low

  * Really build with -fno-exceptions
  * integrate patch to remove atkobject on maemo build

 -- Johannes Schmid <johannes.schmid@openismus.com>  Sat,  5 Sep 2009 12:33:21 +0200

=== debian/control ===
Source: glom
Section: gnome
Priority: optional
Maintainer: Johannes Schmid <jschmid@openismus.com>
Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libgdamm4.0-dev, python-gtk2-dev, python2.5-gnome2-extras-dev, python2.5-dev, libgda4-postgres, libgda4-sqlite, libgda4-dev, libxslt1-dev, libavahi-ui-dev, libxml++2.6-dev, libepc-dev, libgconfmm-2.6-dev, libgoocanvasmm-dev, libhildonmm-dev, libhildon-fmmm-dev
Standards-Version: 3.6.14

Package: glom
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},  ${launcher:Depends}, python2.5-gtk2, python2.5-gnome2-extras, libgda4-postgres, libgda4-sqlite
Description: Glom database designer
 With Glom you can design database systems - the database and the user interface.

Package: glom-sqlite
Section: gnome
Architecture: any
Conflicts: glom
Replaces: glom
Provides: glom
Depends:  ${shlibs:Depends},  ${launcher:Depends}, python2.5-gtk2, python2.5-gnome2-extras, libgda4-sqlite
Description: Glom database designer [SQLite]
 With Glom you can design database systems - the database and the user interface. This is the Sqlite-only version that does not support PostgreSQL

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/langcore.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -18,14 +19,9 @@
 # as required for multiple VPATH builds with CDBS.
 $(foreach pkg,$(DEB_ARCH_PACKAGES),$(eval DEB_BUILDDIR_$(pkg) = build/$(pkg)))
 
-CXXFLAGS = -Wall -g
+CXXFLAGS = -Wall -Os -fno-exceptions
+CFLAGS = -Wall -Os
 
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CXXFLAGS += -O0 -fno-exceptions
-else
-	CXXFLAGS += -O2 -fno-exceptions
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -49,8 +45,8 @@
 		--enable-maemo --enable-doc-utils=no --enable-warnings=minimum $(conf_opt) \
 		CC="$(CC)" CXX="$(CXX)" \
 		CPPFLAGS="$(CPPFLAGS)" \
-		CFLAGS="$(strip $(CFLAGS) $(CFLAGS_$*))" \
-		CXXFLAGS="$(strip $(CXXFLAGS) $(CFLAGS_$*))" \
+		CFLAGS="$(CFLAGS)" \
+		CXXFLAGS="$(CXXFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" \
 
 # Simply use the compiled executable as the rule target

## glom 1.11.1maemo4

=== debian/changelog ===
glom (1.11.1maemo4) fremantle; urgency=low

  * Removed separate sqlite package
  * new changes from upstream

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon,  7 Sep 2009 11:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,3 @@
 Depends: ${shlibs:Depends},  ${launcher:Depends}, python2.5-gtk2, python2.5-gnome2-extras, libgda4-postgres, libgda4-sqlite
 Description: Glom database designer
  With Glom you can design database systems - the database and the user interface.
-
-Package: glom-sqlite
-Section: gnome
-Architecture: any
-Conflicts: glom
-Replaces: glom
-Provides: glom
-Depends:  ${shlibs:Depends},  ${launcher:Depends}, python2.5-gtk2, python2.5-gnome2-extras, libgda4-sqlite
-Description: Glom database designer [SQLite]
- With Glom you can design database systems - the database and the user interface. This is the Sqlite-only version that does not support PostgreSQL

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	automake-1.10 --copy --add-missing
 	autoconf2.50
 
-DEB_CONFIGURE_EXTRA_FLAGS_glom-sqlite = --enable-sqlite --disable-postgresql
+DEB_CONFIGURE_EXTRA_FLAGS = --enable-sqlite --enable-postgresql
 
 $(DEB_ARCH_PACKAGES:%=build/%/config.status):build/%/config.status:
 	cd "build/$*" && PYTHON=python2.5 "$(CURDIR)/configure" \

## glom 1.11.2maemo0

=== debian/changelog ===
glom (1.11.2maemo0) fremantle; urgency=low

  * Use more hildon widgets
  * Fix crasher at exit

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon, 21 Sep 2009 11:15:36 +0200

## glom 1.12.0maemo0

=== debian/changelog ===
glom (1.12.0maemo0) fremantle; urgency=low

  * New upstream version
  * Fixed packaging problem due to python2.5-gtk2 renamed to python-gtk2

 -- Johannes Schmid <johannes.schmid@openismus.com>  Mon, 28 Sep 2009 20:15:02 +0200

=== debian/control ===
Source: glom
Section: gnome
Priority: optional
Maintainer: Johannes Schmid <jschmid@openismus.com>
Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libgdamm4.0-dev, python-gtk2-dev, python-gnome2-extras-dev, python2.5-dev, libgda4-postgres, libgda4-sqlite, libgda4-dev, libxslt1-dev, libavahi-ui-dev, libxml++2.6-dev, libepc-dev, libgconfmm-2.6-dev, libgoocanvasmm-dev, libhildonmm-dev, libhildon-fmmm-dev
Standards-Version: 3.6.14

Package: glom
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},  ${launcher:Depends}, python-gtk2, python-gnome2-extras, libgda4-postgres, libgda4-sqlite
Description: Glom database designer
 With Glom you can design database systems - the database and the user interface.

## glom 1.12.2-0maemo0

=== debian/changelog ===
glom (1.12.2-0maemo0) fremantle; urgency=low

  * New upstream version
  * Various packaging fixes.

 -- David King <davidk@openismus.com>  Mon, 19 Oct 2009 10:33:42 +0200

=== debian/control ===
Source: glom
Section: user/office
Priority: optional
Maintainer: David King <davidk@openismus.com>
Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libgdamm4.0-dev, python-gtk2-dev, python-gnome2-extras-dev, python2.5-dev, libgda4-postgres, libgda4-sqlite, libgda4-dev, libxslt1-dev, libavahi-ui-dev, libxml++2.6-dev, libepc-dev, libgconfmm-2.6-dev, libgoocanvasmm-dev, libhildonmm-dev, libhildon-fmmm-dev, automake (>= 1.10), gnome-doc-utils, scrollkeeper
Standards-Version: 3.6.14

Package: glom
Section: user/office
Architecture: any
Depends: ${shlibs:Depends},  ${launcher:Depends}, python-gtk2, python-gnome2-extras, libgda4-postgres, libgda4-sqlite
XB-Maemo-Display-Name: Glom
XB-Maemo-Upgrade-Description: Add Maemo-specific packaging
 Add Maemo application icon, upgrade description and appropriate section.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAHfwAAB38BeF7kggAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAShSURBVEiJvZZLiBxFGMd/Vd1TPTPdMzu7
 a3RDzGZVFEElEUzWoB4Ugg8wXrx5EhVvinchdxGJeBC9iAgePKjJRTRKwIuE
 ZePbiEkUHwlZEveRne6e6Xp8HmZ2k334DPh1f3R1Vdf/19T31detRIT/w+KV
 xo0PvZK0Wr3HAmrblYoq4XTnfP7O0aMH3AbQ1Pb421tvu+P6gFZXChLv5Ltv
 TjwH7N4A2nrN2DaTtdVSYa+Uw1WdtpqYGLvp8r5VULMe+YnxjCx1G2f+S+uk
 hvNJvEZoFfTo9Miv9917481XTBnakfjUyU1BxpjonwicPn2KE9+f2HQsiiIe
 uP9BtNbUavEavXj9w0tLS7z2+qsbRMbGxnnyiac4eeoH9j/8yKagj458SFX1
 qdUM6zfNBlC73ebZZ57bVCgEz+TkJIcOvz/skYGgXLrzIaC8I4S/ASmlSJJk
 MFECIcjgKoJ1ltHRcSa3WwRBBBBZwRFFGuctKCD4vwbleZdDhw8hKwIiiAhZ
 1mLfvn3Mzs5w6y23kRcFv505y8kff+TC+Qt4CSwszNNuj7D3zmnEVX8eI5GA
 1prbb99FCAEJQmBwjWsxzll6leWFgy8zsWULzbROs1Fn6zVjVFXF1i2j9Hp9
 Pp+d4WJe7nrjrbdPnXNu+th77/0eX0bB+4DSmh07pgghECQMgYO2dZYPjnzC
 3dN30O0uo7VGCXjnkCCU/ZLKVkjwZPVY3bN3zw2ffjbzBbB9FSSAD46yLDh+
 /DgiYTU2EoQkMWy9dhvjnVGKPCeOYpLEEMc1rLOofoVIwIeISGv6laUscjoj
 7avWLd1A0DpLUZZD0KVEEALOOfJewU+/nuH6HdupKkuv7GGdxXmP944QhCiO
 McAvZ+coymJ+DUgQgniMMdx1115CCPjgCT4QgseHwMLiAvW6wVU9Zr/4iiiu
 kSSGWi2mFkUUZY88L8iLLray1E2Ekmh5QzIEYRCPsDY2A/eEICilyNImnZE2
 xhiMMRRFyfziIuIthD7KW0wEiUko+m5d1olctidkuGyXfGVMglBVlnq9SafT
 QesIpRQheKpeRaOekDYzlrtdnLUMNtVloKqqRGsNqMGhBq6VQpRCKY1WGhRE
 WlMUOUtLi9SMwVpLv+xRFCVFkVOW5TBR4rUgpVTtpYMvvpumradbrVY8+LzL
 8LxUZi4uLysNqVJKGVMjy1KSJKEsS7paDSuJIwyrwsrLroJExCqlDkxNTb2s
 tTb1er1aXzEA0tHRq3ft2vnx+Ei2JUsz4lpMFEX0er2BWBTTaDZITILznqqq
 EB/WLp2IVMC5zQArdu/+/Q6RIMC5uTkSk1AzBu8dIoq+sxTdgm6eI0FoNusE
 MDt3T8f6r4TX29HDhy9cWFg822g0aGUZWSul1UqJ4xjvLApBKYgjjTExzTTl
 4nL+CzCyoaj+nc3NzT3+eQhvTk1ee91YzbSSJFHeBay1KKVRRKCjYF3o/nzm
 /He/z88/DxTqv/zX7dw9vc0kjT2Nhrk7zdI9jXp9Io50s1v0iiLPz/X6/eO2
 srPO2q+BH76cOZb/J9AQFgGdobeBBmCBHFgC5oHyy5ljAPwBM3mIXamQTJsA
 AAAASUVORK5CYII=
Description: Glom database designer
 With Glom you can design database systems - the database and the user interface.

## glom 1.12.2-0maemo1

=== debian/changelog ===
glom (1.12.2-0maemo1) fremantle; urgency=low

  * Remove gnome-doc-utils from build-depends.
  * Add gettext to build-depends.

 -- David King <davidk@openismus.com>  Mon, 19 Oct 2009 13:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/office
 Priority: optional
 Maintainer: David King <davidk@openismus.com>
-Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libgdamm4.0-dev, python-gtk2-dev, python-gnome2-extras-dev, python2.5-dev, libgda4-postgres, libgda4-sqlite, libgda4-dev, libxslt1-dev, libavahi-ui-dev, libxml++2.6-dev, libepc-dev, libgconfmm-2.6-dev, libgoocanvasmm-dev, libhildonmm-dev, libhildon-fmmm-dev, automake (>= 1.10), gnome-doc-utils, scrollkeeper
+Build-Depends: debhelper (>= 4.0.0), libgtkmm-2.4-dev (>= 2.10.0), libgdamm4.0-dev, python-gtk2-dev, python-gnome2-extras-dev, python2.5-dev, libgda4-postgres, libgda4-sqlite, libgda4-dev, libxslt1-dev, libavahi-ui-dev, libxml++2.6-dev, libepc-dev, libgconfmm-2.6-dev, libgoocanvasmm-dev, libhildonmm-dev, libhildon-fmmm-dev, automake (>= 1.10), scrollkeeper, gettext (>= 0.11)
 Standards-Version: 3.6.14
 
 Package: glom

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 autogen:
 	libtoolize --force --copy
-	aclocal-1.10 -I scripts
+	aclocal-1.10 -I macros
 	automake-1.10 --copy --add-missing
 	autoconf2.50

## glom 1.12.2-0maemo2

=== debian/changelog ===
glom (1.12.2-0maemo2) fremantle; urgency=low

  * Adapt Debian package to work with Maemo Fremantle.

 -- David King <davidk@openismus.com>  Mon, 19 Oct 2009 15:57:46 +0200

glom (1.12.2-0ubuntu2) karmic; urgency=low

  * debian/copyright:
    - Update license info.
  * debian/control:
    - Bump Standards-Version. No other changes necessary.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Thu, 15 Oct 2009 01:23:31 +0100

glom (1.12.2-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - FFE LP: #391664
  * debian/control:
    - Bump python-gnome2-extras-dev build-dep to >= 2.25.3.
    - Bump libgdamm3.0-dev build-dep to libgdamm4.0-dev >= 3.99.14.
    - Change libgda3-dev build-dep to libgda-4.0-dev.
    - Change libgda3-postgres dependency to libgda-4.0-postgres.
    - Bump libgtkmm-2.4-dev build-dep to >= 2.14.
    - Add build-dep on libgconfmm-2.6-dev.
    - Bump libgoocanvasmm-dev build-dep to >= 0.14.0.
    - Remove build-dep on libbakery-2.6-dev.
    - Bump postgresql-8.3 dependency to postgresql-8.4.
    - Change scrollkeeper build-dep to rarian-compat.
    - Rename libglom{0,-dev} -> libglom-1.12-{0,dev}. Upstream include
      APIVER in the library name now.
  * debian/rules:
    - Update --with-postgres-utils configure flag to point to the new
      path.
    - Drop deprecated --disable-scrollkeeper configure flag.
    - Update DEB_SHLIBDEPS_INCLUDE with new libglom-1.12-0 package name.
    - Don't include /usr/share/cdbs/1/rules/simple-patchsys.mk - there
      are currently no patches.
  * debian/libglom-1.12-0.install:
    - Updated for new version.
  * debian/libglom-1.12-dev.install:
    - Install pc and header files.
  * debian/glom-doc.install:
    - Updated for new version.
  * debian/glom.install:
    - Updated for new version.
  * Fix debian/watch.
  * Dropped obsolete 10-distro-install-postgres-change.patch.
  * Built against latest libgoocanvasmm (LP: #428445).
  * Also closes LP: #230007, LP: #393229, LP: #393231, LP: #394507,
    LP: #394887, LP: #394894, LP: #397409, LP: #381563.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Fri, 09 Oct 2009 16:50:36 +0100

glom (1.8.7-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release
  * Old bugs fixed (LP: #299608, #309417)
  * debian/watch: Really update
  * debian/contol, debian/rules: Update for python 2.6 (LP: #336084)

 -- Iain Lane <laney@ubuntu.com>  Thu, 05 Mar 2009 19:08:11 +0000

glom (1.8.6-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * debian/watch: Update to only scan for stable releases 

 -- Iain Lane <laney@ubuntu.com>  Mon, 16 Feb 2009 23:04:50 +0000

glom (1.8.5-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #256701), fixes LP bugs: 
    + Clear the text in property dialogs for text items (LP: #309147)
    + Don't crash when showing and then hiding the grid (LP: #303453)
    + Temporarily remember the sort order so it is the same when navigating 
      away and back (LP: #303422)
    + Use the list's sort order for the top-level records in the report 
      (LP: #303425)
    + Users/Groups: Disable drag-and-drop for the treeview, because it is
      useless and confusing (LP: #299573)
    + Import: Sort the fields list alphabetically (LP: #306593)
    + delete primary key make unusuable the database (LP: #299549)
    + Spanish translate incomplete (LP: #299556)
    + import date format error (LP: #299591)
    + can't delete data from table list view (LP: #299853)
    + Field definition: default value not saved (LP: #299896)
    + reports crashing (LP: #300054)
    + Year error with date fields (LP: #300057)
    + list view: 2 records added instead of 1 (LP: #300819)
  * debian/control: Refreshed dependencies for libglom-dev.
  * debian/control: Updated build-deps to match configure checks. goocavnasmm
    build-dep bumped to version without .la files.
  * debian/rules: Don't delete the directory containing the templates.
  * debian/control, debian/rules, debian/glom-doc.*: Split out
    arch-independent manual and examples into separate package glom-doc, which
    is now recommended by glom (glom will still work if they're not available)
  * debian/copyright: Rewritten to new machine-readable format. 

 -- Iain Lane <laney@ubuntu.com>  Sun, 11 Jan 2009 17:12:01 +0000

glom (1.6.17-0ubuntu1) intrepid; urgency=low

  * New upstream bugfix microrelease (LP: #243163):
    + Correct bug with time parsing
    + Correct bug with automatically creating related records
    + Correct bug in relationship editor: clicking between controls did not
      correctly save choices
  * debian/glom.sgml: Update with current parameters. 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 31 Jul 2008 23:25:19 +0100

glom (1.6.14-0ubuntu1) hardy; urgency=low

  * New upstream release
    - Fixes a crash that happens when adding a record without a primary key
      (LP: #216308).
  * debian/control:
    - Update glom so that it depends on the version of libglom0 built from the 
      same source package (LP: #60969). 

 -- Christopher Brotherton <chris@protonlab.net>  Wed, 09 Apr 2008 20:43:03 -0600

glom (1.6.13-0ubuntu1) hardy; urgency=low

  [ Christopher Brotherton ]
  * New upstream bugfix release (LP: #212301)

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * debian/control:
     - Remove redundant Homepage pseudo-field from glom's description.
  * debian/copyright:
     - Include the GPL header (and on the way correct an inaccuracy: the
       application is released under version 2 _or later_, not only 2).

 -- Christopher Brotherton <chris@protonlab.net>  Sun, 06 Apr 2008 16:59:16 +0200

glom (1.6.11-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #204039)
    - Fixes XML error experienced with postgresql 8.3
    - Examples button now opens the file dialog in the correct place
      (LP: #206032)
    - Updated bakery package dependencies to reflect upstream changes
  * Rebuild against updated libgdamm3.0 soname. 
  * Removed debian/pycompat since it is not needed.


=== debian/control ===
Source: glom
Section: user/office
Priority: optional
Maintainer: David King <davidk@openismus.com>
Build-Depends: debhelper (>= 5.0.28), 
               libxml-parser-perl, 
               libgdamm4.0-dev (>= 3.99.14), 
               libgtkmm-2.4-dev (>= 2.14), 
               libxslt1-dev (>= 1.1.10), 
               cdbs (>= 0.4.25-1ubuntu1),
               python2.5-dev, 
               python-gtk2-dev (>= 2.6.0), 
               python-gnome2-extras-dev (>= 2.25.3), 
               docbook-to-man, 
               libgda4-dev (>= 4.0.4), 
               python-central (>= 0.5), 
               libgda4-postgres,
               libgda4-sqlite,
               libgoocanvas-dev,
               libgoocanvasmm-dev (>= 0.14.0),
               libavahi-glib-dev,
               libavahi-ui-dev,
               libxml++2.6-dev (>= 2.18.1),
               libepc-dev (>= 0.3.1),
               libgconfmm-2.6-dev,
               libhildonmm-dev,
               libhildon-fmmm-dev,
               gettext,
               maemo-optify
Standards-Version: 3.8.3
Homepage: http://www.glom.org/
XS-Python-Version: 2.5

Package: libglom-1.12-0
Architecture: any
Conflicts: glom (<< 1.0.4)
Replaces: glom (<< 1.0.4)
Section: libs
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Glom library (a database designer and user interface) - library
 With Glom you can design table definitions and the relationships between
 them, plus arrange the fields on the screen. You can edit and search the
 data in those tables, and specify field values in terms of other fields.
 It's as easy as it should be.
 The design is loosely based on FileMaker Pro, with the added advantage of
 separation between interface and data. Its simple framework should be enough
 to implement most database applications. Without Glom these systems normally
 consist of lots of repetitive, unmaintainable code.
 .
 This is the library package.

Package: libglom-1.12-dev
Architecture: any
Section: libdevel
XB-Python-Version: ${python:Versions}
Depends: libglom-1.12-0 (= ${binary:Version}),
         libxml-parser-perl, 
         libgdamm4.0-dev (>= 3.99.14), 
         libgtkmm-2.4-dev (>= 2.14),
         libxslt1-dev (>= 1.1.10), 
         libgda4-dev (>= 4.0.0), 
         libgda4-postgres,
         python2.5-dev,
         python-gtk2-dev,
         libglib2.0-dev,
         libepc-dev (>= 0.3.1),
         ${misc:Depends}
Description: Glom library (a database designer and user interface) - header files
 With Glom you can design table definitions and the relationships between
 them, plus arrange the fields on the screen. You can edit and search the
 data in those tables, and specify field values in terms of other fields.
 It's as easy as it should be.
 The design is loosely based on FileMaker Pro, with the added advantage of
 separation between interface and data. Its simple framework should be enough
 to implement most database applications. Without Glom these systems normally
 consist of lots of repetitive, unmaintainable code.
 .
 This package contains the library headers.
 
Package: glom
Architecture: any
Conflicts: glom (<< 1.0.4), glom-sqlite
Replaces: glom (<< 1.0.4), glom-sqlite
Section: user/office
XB-Python-Version: ${python:Versions}
Depends: libglom-1.12-0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, libgda4-postgres, libgda4-sqlite, python-gnome2-extras,
Recommends: glom-doc (= ${binary:Version})
XB-Maemo-Display-Name: Glom
XB-Maemo-Upgrade-Description: Add Maemo-specific packaging
 Add Maemo application icon, upgrade description and appropriate section. Split
 into glom, glom-doc and libglom packages. Conflict and replace glom-sqlite
 package.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAmESURBVGiB3ZprjFxlGcd/77mfmZ3Z7rbd
 2tJSCrRSSlijqZVIuKjRVpQPIhH1i9BKSKgmfgDFS2JMjAKxGtD6BbwkJpjG
 BDAYiUpEIoFSqFlBgqbSdptu2712d+bMnOv7+uGcOXNmL7O7yELgyb4z5zbv
 /P/P5X+e98wKpRTvZNPebgD/r73jCRizDwzedN9G01APeYF2PUJYbweolilk
 WLHVU4kQ+44+cvfIfNfMIdBfEc+s3XDRlp2Dl6Lp+sqj7GIySawX/nFsz+TY
 8F+B9853zRwCpybklps+s4Oh41P4UbLiILuZY+pc86HtPPCL49sWumYOgUQq
 KmUH3TQom3NOv+VWrZSIk4WVcl6ElmVQcu0VA7Ucs6zuTnz3qdAd10luufpC
 PvfhTW8HnjkmhGD4Orng+XdfBCBl/Wa0GEEQEIbhsj5jWRa23a4/IUTX65ck
 M57nLRlAuVzOt+//0b0IsbwgKyX51j3fKex3d+SSCPzs4INLBnD3Xd/Itz3P
 494f3L/kzwJ8/Z67SGT7/qNp3R2wJAKlUmlZIFKvpZ6r1WrL+iyATNoElN4d
 4pII7L/zq13PtwArReo9lW5v2riJnzzw49lXF147DgGw8YKNHRFYzN7wrVYp
 hUJlYFPA+X5GZu/efXkOz35vES6yaO0nxQi8GTWwMGiFan1JDrwFROUqVIxQ
 Ok96voA93zcsE8sqNsFvAoF6vV4ArDLAZKCKwBWlUinffvCnDyBaRdgFR5x5
 3NB1lJLsv3N/G/4iat6VQAvIwZ8/WJhI0enAQk4r2L//K3mUGo1GhwqdHhnh
 +SMv8uxzzzM2Ps5MrYbXaGCZJkopojhCExrP3fZlbMfhissv5/OfvWn5BJRS
 SClRSqKUwnXdeQgUiaicj5RJO9WAyclJDj36GE89/TRKKi7avIkLNgywfevF
 WLaJbVkdddQMmgR+yEy9zumRM3zzu9+j0Wjy5NOffnys7N78yqFDHXfGBSNQ
 JHD77Xe0UygfsnM/S6NEJnmOm5bNF/ft49LNm7nhYx+hVHbxfZ9mo0GzUaNe
 S4iiCJk5TEqJpgk0NEzbZPvWi3n/lTtoNkNeevlfN4qTw9PX7rnh5r/98Q9P
 LE5Aybkg5wM+DwmlFEMvv8JL/3yVG/d8nNV9fUxOjjM9PYWmCRACTdMQQkPX
 dZIMfJIkyCQhSRKCesj09DRJkuA4Dh8c3MFll25x/vLMs7+/Zvfu3c88+eSf
 YIFmThU80jmSOceSbEiVZOfT8avfPMLVV+2it6fMmTMjxEmCZVvYtoPruDiO
 i+PYWJaNZVqYhoFhGOi6ng0NXdPRNI1mo8nrJ17HNDQ+cOUVwtCNg4tGoOVp
 qSSe57W9LIsRAIXsiIDjOCilOHtulE994qNMTUwgNIEmBJrQ0HUNTdNBgEwE
 UimETKMiSN9TKzRxInXq2NgYmzZeyHMvHr1kiTWQAnv44YdmFatq/c3Zvm3v
 3kz3BcOnTrOmfxX1Wp1YKaRSJEmSd5jtSKdpk6dQK9pKImV6DaSN4pnR0ZRo
 NwLtXM5UyHFmgZ2PgCoQT9Pr2IlhJicm2bb1YnzfJwwCQCBEyx8pKVVIx5RA
 m5BSCtt2KJdKnDh9Fj+IkYWbw/wRUMUUUnzp1luz9FFZcbcJyjnFnRIA2LLx
 PRwdepX/HD/JFdu3sWFgAE0XhEFIksQkWUSSJEbKDJQQ6LqBaVqYpolUirGJ
 KV565TXiMOSyS7Z0QO1SA6oATuX1MBd8+1gx7SC9s15y0QZqXpN/HzvGC0eH
 qFYqbBhYQ6nkYFsOlmViWQ5IRTMI8LPRbAacHR2n5tWxNA3bFJRck9nrm64E
 mEWgKJPdR+cadlW1hzX9q9B0Ha/hMz1T4/zMTAY2zPqllLCWFbxAIZD0l7s/
 HFyAQNakzWrc2oWsCgSZlyCAZdkdCxIB9FbKrO7rTfU/SQjDsD2C9nYQBoRB
 53LUNM2O5WbXCGQaWWgSWsVN3ka0XtPLiwRTq9Vr2I6La9uEUYiUctE1bj5D
 XhKCUqlET7mHWq1Go9FYIoEc2uxJ57aHC3WMtmVxemSECakYWDfAuoG1SCVJ
 EokQEEcxSqXKJROJsAWGaeC4DjKWaLqOEILRsTFODA9jmQZ9/f0LExBCmD+8
 7/vdOJEmgurYbjk1JZLmbzYfjpOm0fj4GKdODlOtVnHLZUqug65rGLqO1VMl
 siJm6jX8ekDd82h6DepenSiKcEsurjP/k8KcgBDCAGwAqRS6rqPiuABVgGil
 h0Co9pn0qCgoRGeHomkavdUq/X19hFFEHIWcDzPFaTRo+gFJ/l0KlaQti21b
 uK7T1Z3FCGiAbhjmmZMnj6/fvHlLmq+z8rqYRu1js9e5C69CSq6LrusYhkEc
 x3nhBmEwp5CX8kypSEACyciZs1977PHHDiRJvGHRTy9ic1RogQJWXQgXrasK
 KaViIYR/4P4DTwB/zs4ZpMQWfji5gF27+5PnWipUchyCMMjltYC8E/w8PJal
 QkqpGIiFEM0CAfVGCECqQmOnTzOhYGBgLQNr1+QtuRCCUAvbDV0iEbaGaZqp
 CiUSXTeWp0IFIhIIs/GG7Lo9NwDgODa6rqcqNHyKarVKqVzCdV10TcOwTHpt
 myiMqNVqzNQDPK9Ow2vged6CKjS4c1d56Mhhb0V+ghncuctaPTAwUfMaqy3L
 QkpJb7XK6v5+gjAkCkMC38f3fRpNH7/Z7FQhqZAymaNClmURhBFCMAn0DO7c
 1Vyp35BEEscH/3vi1F1XXr7V8TwvL+CS6+YrryiKcuXJVaigRFEU5RPquk5v
 7yrOjk8GSZz8kkw1V+r3gaTWaPz63OjY6KuvvR5UeqqU3NL8D2oXKWRd16lU
 KqxdO8DYVC2YmJoZq3n13wIxIMVK/avB4M5dFWWa6/oqlW87rnPLjm1bzfXr
 12ol180fvYRBiO/7+IFPGIbEUUwcx/lCRtd0EIIZrynPjI1HQTN49HytdoA4
 PgdMDh05XF8xAhmJVUCfUy7tdBznC4ZhXl8uOdamDeuNarVipAt5HUPXiKIY
 z2vSbDZp+gF1v5FMT9cj3w+jOI7+HgTB74Jm8yhwHpgaOnJ4GmBFCWQkeoBe
 oApUnJL7PtO0rjIMY6OmaeuE0PoVqpItA+tSySmVqNE4SUaiKHwhaPovA3Wg
 BsyQet5vzb/iBDISAihnJMqACziABZiATrtLTIAICAAfaALTGQF/6Mjhjrnf
 EgJFG9y5SyMFbdImYGanW+CLIx46cnhBkP8DKGC3pfdALrIAAAAASUVORK5C
 YII=
Description: database designer and user interface
 With Glom you can design table definitions and the relationships between 
 them, plus arrange the fields on the screen. You can edit and search the 
 data in those tables, and specify field values in terms of other fields. 
 It's as easy as it should be.
 The design is loosely based on FileMaker Pro, with the added advantage of 
 separation between interface and data. Its simple framework should be enough 
 to implement most database applications. Without Glom these systems normally 
 consist of lots of repetitive, unmaintainable code.

Package: glom-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
XB-Python-Version: ${python:Versions}
Description: database designer and user interface - documentation
 With Glom you can design table definitions and the relationships between 
 them, plus arrange the fields on the screen. You can edit and search the 
 data in those tables, and specify field values in terms of other fields. 
 It's as easy as it should be.
 The design is loosely based on FileMaker Pro, with the added advantage of 
 separation between interface and data. Its simple framework should be enough 
 to implement most database applications. Without Glom these systems normally 
 consist of lots of repetitive, unmaintainable code.
 .
 This package contains the examples.

## glom 1.12.2-0maemo3

=== debian/changelog ===
glom (1.12.2-0maemo3) fremantle; urgency=low

  * Update Glom to work with latest hildonmm 2.1.5 release.
  * Add bugtracker link to packaging.

 -- David King <davidk@openismus.com>  Mon, 26 Oct 2009 13:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -88,9 +88,8 @@
 Recommends: glom-doc (= ${binary:Version})
 XB-Maemo-Display-Name: Glom
 XB-Maemo-Upgrade-Description: Add Maemo-specific packaging
- Add Maemo application icon, upgrade description and appropriate section. Split
- into glom, glom-doc and libglom packages. Conflict and replace glom-sqlite
- package.
+ Update Glom to work with latest 2.1.5 hildonmm release. Add bugtracker link to
+ packaging.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
@@ -150,7 +149,7 @@
  BsyQet5vzb/iBDISAihnJMqACziABZiATrtLTIAICAAfaALTGQF/6Mjhjrnf
  EgJFG9y5SyMFbdImYGanW+CLIx46cnhBkP8DKGC3pfdALrIAAAAASUVORK5C
  YII=
-Description: database designer and user interface
+Description: Database designer and user interface
  With Glom you can design table definitions and the relationships between 
  them, plus arrange the fields on the screen. You can edit and search the 
  data in those tables, and specify field values in terms of other fields.

## glom 1.12.2-0maemo4

=== debian/changelog ===
glom (1.12.2-0maemo4) fremantle; urgency=low

  * Update 01_glom_maemo_atkobjects.patch to 01_glom_glade_maemo_changes.patch
  from git, which fixes HILDON_IS_WINDOW assertion.
  * Add DBus .service file and add Osso specifics to .desktop file.
  * Depend on osso-af-settings for desktop file directory.

 -- David King <davidk@openismus.com>  Tue, 27 Oct 2009 16:39:49 +0100

## glom 1.12.3-0maemo0

=== debian/changelog ===
glom (1.12.3-0maemo0) fremantle; urgency=low

  * Add gettext static linking fix.
  * Depend on libossomm.
  * Run maemo-optify for individual glom, glom-doc and libglom-1.12-0 packages.
  * New upstream release.

 -- David King <davidk@openismus.com>  Tue, 03 Nov 2009 11:51:08 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,10 @@
                libgconfmm-2.6-dev,
                libhildonmm-dev,
                libhildon-fmmm-dev,
+               libossomm-dev,
                gettext,
-               maemo-optify
+               maemo-optify,
+               osso-af-settings
 Standards-Version: 3.8.3
 Homepage: http://www.glom.org/
 XS-Python-Version: 2.5
@@ -88,8 +90,8 @@
 Recommends: glom-doc (= ${binary:Version})
 XB-Maemo-Display-Name: Glom
 XB-Maemo-Upgrade-Description: Add Maemo-specific packaging
- Update Glom to work with latest 2.1.5 hildonmm release. Add bugtracker link to
- packaging.
+ Link libgettextpo statically into the glom binary, so that Glom can be used on
+ the N900 as well as in the Scratchbox SDK. Add libossomm support.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3

## glom 1.12.3-0maemo1

=== debian/changelog ===
glom (1.12.3-0maemo1) fremantle; urgency=low

  * Add postinst and postrm scripts for glom package, to update the Hildon
  category database.

 -- David King <davidk@openismus.com>  Tue,  3 Nov 2009 16:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -89,9 +89,9 @@
 Depends: libglom-1.12-0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, libgda4-postgres, libgda4-sqlite, python-gnome2-extras,
 Recommends: glom-doc (= ${binary:Version})
 XB-Maemo-Display-Name: Glom
-XB-Maemo-Upgrade-Description: Add Maemo-specific packaging
- Link libgettextpo statically into the glom binary, so that Glom can be used on
- the N900 as well as in the Scratchbox SDK. Add libossomm support.
+XB-Maemo-Upgrade-Description:
+ Register MIME-type correctly, to allow opening .glom files from the file
+ manager.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
